<?php

use App\Domains\UserManagement\Controllers\EmailVerificationController;
use App\Domains\UserManagement\Controllers\RegistrationController;
use App\Domains\UserManagement\Controllers\ResetPasswordController;
use App\Middleware\IdentifyTenant;
use Illuminate\Support\Facades\Route;

Route::prefix('v1')
    ->group(function () {
        Route::middleware(IdentifyTenant::class)->group(function () {
            Route::post('/register', [RegistrationController::class, 'doRegistration']);
            Route::post('/register/confirmEmail', [EmailVerificationController::class, 'doVerification']);
            Route::post('/reset-password', [ResetPasswordController::class, 'doResetPassword']);
        });
    });
